Spamd unable to restart after update.

ambition13

Active Member
Jan 24, 2006
35
0
156
Hello,

After last night's update, I got an email from my server with topic:

Cron <[email protected]> sa-update && /etc/init.d/spamd restart

And the content of the message says:

/bin/sh: /etc/init.d/spamd: No such file or directory

I checked the /etc/init.d directory and indeed spamd is not there. Never had this message before on this server which has been running for years. Any way to fix this?
 
Last edited:

ambition13

Active Member
Jan 24, 2006
35
0
156
Ran /scripts/upcp and the problem still exists.

If I do "spamd -V" from shell I get:

Code:
SpamAssassin Server version 3.3.1
  running on Perl 5.8.8
Nov 11 18:51:50.596 [1758] error: Can't locate Socket6.pm in @INC (@INC contains: /usr/local/cpanel/spamassassin_sandbox /usr/lib/perl5/site_perl/5.8.8/i686-linux /usr/lib/perl5/site_perl/5.8.8 /usr/lib/perl5/5.8.8/i686-linux /usr/lib/perl5/5.8.8 /usr/lib/perl5/site_perl/5.8.7/i686-linux /usr/lib/perl5/site_perl/5.8.7 /usr/lib/perl5/site_perl/5.8.5 /usr/lib/perl5/site_perl/5.8.4 /usr/lib/perl5/site_perl/5.8.3 /usr/lib/perl5/site_perl/5.8.2 /usr/lib/perl5/site_perl/5.8.1 /usr/lib/perl5/site_perl/5.8.0 /usr/lib/perl5/site_perl/5.6.2 /usr/lib/perl5/site_perl) at /usr/lib/perl5/site_perl/5.8.8/IO/Socket/SSL.pm line 73.
  with SSL support (IO::Socket::SSL 1.34)
  with zlib support (Compress::Zlib 2.03)
Not sure if that is related or not.

Any other ideas?
 
Last edited:

ambition13

Active Member
Jan 24, 2006
35
0
156
Ok, I was able to resolve the spamd -V problem by installing the Socket6 and INET6 perl modules from within WHM. Ran /scripts/upcp again and still no spamd file in /etc/init.d.

So back to the drawing board.
 

cPanelNick

Administrator
Staff member
Mar 9, 2015
3,481
35
208
cPanel Access Level
DataCenter Provider
I have seen this happen when you have two versions of SpamAssassin installed (usually 3.2.x and 3.3.x). Do you by chance have a spamassassin rpm installed?

If so you can remove it and reinstall the correct version with the following:

Code:
rpm -e spamassassin
/scripts/perlmods -u Mail::SpamAssassin
/scripts/installspam
If that doesn't solve the problem, I would recommend opening a ticket.